BALBOA-BACKEND-CONSOLE(1)

NAME
balboa-backend-console - Backend maintenance console for balboa

SYNOPSIS
balboa-backend-console <--version|help|jsonize|dump|replay> [options]

DESCRIPTION
`balboa-backend-console` is a management tool for `balboa-backends`

  Command help:

    show help

  Command jsonize:

    read a dump file and print all entries as json

-d <path> path to the dump file to read

  Command dump:

    connect to a `balboa-backend` and request a dump of all data to local stdout

-h <host> ip address of the `balboa-backend` (default: 127.0.0.1)

-p <port> port of the `balboa-backend` (default: 4242)

-v increase verbosity; can be passed multiple times

-d <remote-dump-path> unused/ignored (default: -)

  Command query:

    execute a query against the database

-h <host> ip address of the `balboa-backend` (default: 127.0.0.1)

-p <port> port of the `balboa-backend` (default: 4242)

-r <rrname> rrname to query for

-d <rdata> rdata to query for

-s <sensorid> sensorid to filter by

-l <limit> maximum number of results (default: 100)

-v increase verbosity; can be passed multiple times

  Command replay:

    replay a previously generated database dump

-d <path> database dump file or `-` for stdin (default: -)

-h <host> ip address of the `balboa-backend` (default: 127.0.0.1)

-p <port> port of the `balboa-backend` (default: 4242)

-v increase verbosity; can be passed multiple times

EXAMPLES
balboa-backend-console jsonize -r /tmp/pdns.dmp lz4cat /tmp/pdns.dmp.lz4 | balboa-backend-console jsonize